#!/bin/sh
#

# copy things over
if [ ! -d ~/bin/mv ];then
    mkdir -p ~/bin/mv
fi

cp mvcli ~/bin/mv
if [ -f libmvraid.so ];then
cp libmvraid.so ~/bin/mv
fi

# make sym. links
cd ~/bin/mv
ln -sf mvcli cli
ln -sf cli assign
ln -sf cli cc
ln -sf cli create
ln -sf cli delete
ln -sf cli event
ln -sf cli flash
ln -sf cli mvget
ln -sf cli info
ln -sf cli init
ln -sf cli map
ln -sf cli migrate
ln -sf cli mp
ln -sf cli rebuild
ln -sf cli mvset
ln -sf cli mvtest
ln -sf cli wipe
ln -sf cli pause
ln -sf cli ver
ln -sf cli ?

# our profile
cat > ~/.mvrc<<-EOF
    export PATH=:~/bin/mv
    export PS1='mvcli >'
    export LD_LIBRARY_PATH=~/bin/mv
    ver
    echo
EOF

# banner
echo
echo Marvell RAID Command Line Interface 

bash --rcfile ~/.mvrc





