var net = new Object();

net.READY_STATE_UNINITIALIZED=0;
net.READY_STATE_LOADING=1;
net.READY_STATE_LOADED=2;
net.READY_STATE_INTERACTIVE=3;
net.READY_STATE_COMPLETE=4;

net.STATE_SUCCESS=200;
net.STATE_SUCCESS2=0;

var ContentLoader = new Object();

ContentLoader.unUsedReq=new Array();
ContentLoader.unUsedReqLength= 0;

//get link object
ContentLoader.getXMLObject = function()
{
    var XmlHttp = null;
    //if (ContentLoader.unUsedReqLength == 0)
    {
        if (window.XMLHttpRequest){
            XmlHttp=new XMLHttpRequest();
  	    } else if (window.ActiveXObject){
            var ids = ["MSXML4.XmlHttp","MSXML3.XmlHttp","MSXML2.XmlHttp","MSXML.XmlHttp","Microsoft.XmlHttp"];
            for(var x=0; x<ids.length; x++){
            try{
                XmlHttp = new ActiveXObject(ids[x]);
                break;
            }
            catch(ex){
                XmlHttp = null;
            }}
        }
        if (XmlHttp.overrideMimeType) {
            XmlHttp.overrideMimeType("text/xml");
        }
    }
    /*else
    {
        var lastPos = ContentLoader.unUsedReqLength-1;
        XmlHttp = ContentLoader.unUsedReq[lastPos];
        ContentLoader.unUsedReq[lastPos]=null;
        ContentLoader.unUsedReqLength = lastPos;
    }*/
    return XmlHttp;
}

//return back link object for next use
ContentLoader.returnBack = function(oXmlHttp)
{
    try{
       oXmlHttp.abort();
       oXmlHttp.close;
    }
    catch(ex){}
    ContentLoader.unUsedReq[ContentLoader.unUsedReqLength]=oXmlHttp;
    ContentLoader.unUsedReqLength++;
}

//load call back
ContentLoader.getReq=function(oCallBack)
{
    var req=ContentLoader.getXMLObject();
    req.onreadystatechange = function(){
	    if (req.readyState == net.READY_STATE_COMPLETE) 
	    {
	       if ((req.status == net.STATE_SUCCESS) || (req.status == net.STATE_SUCCESS2)) 
	       {
	            if (oCallBack!=null)
	            {
                    //all object use xml must has xml and setXMLresult
	                oCallBack.xml = req;
	                oCallBack.setXMLresult.call();
	                req=null;
	             }
		    }
	    }
	}
	return req;
}

//get xml asynchronism
ContentLoader.loadXMLDoc = function(oCallBack,sUrl)
{
    
	var req=ContentLoader.getReq(oCallBack);
	//req.open('GET', sUrl, true);
	ScriptDebug.writeLine("url:"+sUrl);
	req.open('POST', sUrl, true);
	req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	req.send(null);
	req=null;
}

//get xml synchronize
ContentLoader.loadXMLImmediate = function(oCallBack,sUrl)
{
    var req=ContentLoader.getXMLObject();
	req.open('GET', sUrl, false);
	ScriptDebug.writeLine("imm url:"+sUrl);
	req.send(null);
	if (req.readyState == net.READY_STATE_COMPLETE) 
	{
	    if ((req.status == net.STATE_SUCCESS) || (req.status == net.STATE_SUCCESS2)) 
	    {
	        if (oCallBack!=null)
	        {
	             oCallBack.xml = req;
	             oCallBack.setXMLresult.call();
	             req=null;
	         }
		}
	}
}

//run javascript in assigned html
ContentLoader.runScript = function(tInput)
{
    var txtScript = new String(tInput);
    var txtTagClose = txtScript.toLowerCase();
    var iStart = txtTagClose.indexOf("<script>");
    var iEnd = txtTagClose.indexOf("</script>");
    if (iStart!=-1 && iEnd!=-1)
    {
        iStart+=8;
        txtScript = txtScript.substr(iStart,iEnd-iStart);
        try {
            eval(txtScript);
        } catch(e) {}
    }
    txtScript=null;
}

ContentLoader.end=function()
{
    for (var i=0;i<ContentLoader.unUsedReqLength;i++)
    {
        ContentLoader.unUsedReq[i]=null;
    }
    ContentLoader.unUsedReq=null;
    ContentLoader.unUsedReqLength=0;
}

//get event from xml and judge refresh page or not
var RefreshControl = new Object();

RefreshControl.LD_EVENT = 1;
RefreshControl.HD_EVENT = 2;
RefreshControl.ADAPTER_EVENT = 4;
RefreshControl.EXPANDER_EVENT = 8;
RefreshControl.PM_EVENT = 64;
RefreshControl.MDD_EVENT = 16;
RefreshControl.BSL_EVENT = 32;
RefreshControl.SAS_EVENT = 128;
RefreshControl.ENCL_EVENT = 256;
RefreshControl.BAT_EVENT = 512;
RefreshControl.FLASH_EVENT = 1024;
RefreshControl.CACHE_EVENT = 2048;
RefreshControl.MISC_EVENT = 4096;
RefreshControl.ALL_EVENT = 8191;//1|2|4|8|64|4096|16|32|128|256|512|1024|2048;

//refresh page part
RefreshControl.FunctionArray = new Array();
RefreshControl.ArrayLength = 0;
//function care which type event
RefreshControl.FunctionCareGridArray = new Array();
RefreshControl.EventNum =-1;
RefreshControl.EvLD = -1;
RefreshControl.EvHD = -1;
RefreshControl.EvHBA = -1;
RefreshControl.EvPM = -1;
RefreshControl.EvExp = -1;
RefreshControl.xml = null;
RefreshControl.sequence = 0;
RefreshControl.MAX_SEQ = 1000000;

//every time give new url IE will not use cache page
RefreshControl.getSeq = function()
{
    return (Math.round(Math.random() * RefreshControl.MAX_SEQ));
}

RefreshControl.addFunction=function(functionName,grid)
{
    RefreshControl.FunctionCareGridArray[RefreshControl.ArrayLength] = grid;
    RefreshControl.FunctionArray[RefreshControl.ArrayLength] = functionName;
    RefreshControl.ArrayLength ++;
}

RefreshControl.setXMLresult=function()
{
    var i,newEventNum,newEvLD,newEvHD,newEvHBA,newEvPM,newEvExp;
    var eventGrid=0;
    try {
    newEventNum = parseInt(RefreshControl.xml.responseXML.getElementsByTagName('MaxNumber')[0].firstChild.nodeValue);
    newEvLD = parseInt(RefreshControl.xml.responseXML.getElementsByTagName('LDEventNum')[0].firstChild.nodeValue);
    newEvHD = parseInt(RefreshControl.xml.responseXML.getElementsByTagName('PDEventNum')[0].firstChild.nodeValue);
    newEvHBA = parseInt(RefreshControl.xml.responseXML.getElementsByTagName('HBAEventNum')[0].firstChild.nodeValue);
    newEvPM = parseInt(RefreshControl.xml.responseXML.getElementsByTagName('PMEventNum')[0].firstChild.nodeValue);
    newEvExp = parseInt(RefreshControl.xml.responseXML.getElementsByTagName('ExpanderEventNum')[0].firstChild.nodeValue);
    if (newEventNum!=RefreshControl.EventNum)
    {
        if (newEvLD!=RefreshControl.EvLD) {eventGrid|=RefreshControl.LD_EVENT;RefreshControl.EvLD=newEvLD;}
        if (newEvHD!=RefreshControl.EvHD) {eventGrid|=RefreshControl.HD_EVENT;RefreshControl.EvHD=newEvHD}
        if (newEvHBA!=RefreshControl.EvHBA) {eventGrid|=RefreshControl.ADAPTER_EVENT;RefreshControl.EvHBA=newEvHBA;}
        if (newEvPM!=RefreshControl.EvPM) {eventGrid|=RefreshControl.PM_EVENT;RefreshControl.EvPM=newEvPM;}
        if (newEvExp!=RefreshControl.EvExp) {eventGrid|=RefreshControl.EXPANDER_EVENT;RefreshControl.EvExp=newEvExp;}
        ScriptDebug.writeLine("RefreshControl eventGrid:"+eventGrid+",newEventNum:"+newEventNum+",RefreshControl.EventNum:"+RefreshControl.EventNum);
        for(i=0;i<RefreshControl.ArrayLength;i++)
	    {
            ScriptDebug.writeLine("FunctionCareGridArray["+i+"]:" + RefreshControl.FunctionCareGridArray[i]);
            if ((0 != (eventGrid & RefreshControl.FunctionCareGridArray[i]))||(RefreshControl.ALL_EVENT == RefreshControl.FunctionCareGridArray[i]))
            {
                if (RefreshControl.FunctionArray[i] != null)
                    RefreshControl.FunctionArray[i].call();
            }
	    }
	    RefreshControl.EventNum = newEventNum;
	} } catch(e) {ScriptDebug.writeLine("RefreshControl error"+i);}
	newEventNum=null;
	newEvLD =null;
    newEvHD = null;
    newEvHBA = null;
    newEvPM = null;
    newEvExp = null;
	ContentLoader.returnBack(RefreshControl.xml);
	RefreshControl.xml=null;
}

RefreshControl.end=function()
{
    for(var i=0;i<RefreshControl.ArrayLength;i++)
    {
        RefreshControl.FunctionCareGridArray[i]=null;
        RefreshControl.FunctionArray[i]=null;
    }
    RefreshControl.FunctionArray=null;
    RefreshControl.FunctionCareGridArray=null;
    RefreshControl.ArrayLength=0;
}

RefreshControl.listenEvent=function()
{
    var urlPath = "command.php?ra="+RefreshControl.getSeq()+"&cmdName=getEventGrid&oldMaxEventNum=" + RefreshControl.EventNum;
    ContentLoader.loadXMLDoc(RefreshControl,urlPath);
    urlPath=null;
}

function ajaxUnload()
{
    RefreshControl.end();
    ContentLoader.end();
    RefreshControl=null;
    ContentLoader=null;
    net=null;
}

addUnLoad(ajaxUnload);