<?php
class ActionDeleteDG extends UserAction
{
	private $DG_ID;	
	//private $AdapterID;
	const DeleteCheckPara = "DeleteCheck";
	private $deleteChecked = 0;
//	private $toStop = 0;
//	private $isOffline = 0;
//	private $isForeign = 0;
	private $Actions = BgaControl::BGA_CONTROL_TERMINATE_IMMEDIATE;
	
	private $stopBGASuccess = 1;
	
	protected function initActionPara()
	{
		$this->DG_ID = getRequestPara("DGID");
		$this->deleteChecked = getRequestPara(self::DeleteCheckPara);
	}
	
	protected function validatePara()
	{
		//check the http request parameters
	}
	
	private function doStopBGA()
	{
		$this->ApiCmd = new XMLAPICommand();
		$this->ApiCmd->setCommand(XMLAPICommand::MV_DG_BGAControl);
		$this->ApiCmd->setCommandPara("AdapterID",$this->getAdapterID());
		$this->ApiCmd->setCommandPara("DG_ID",$this->DG_ID);
		$this->ApiCmd->setCommandPara("Actions",$this->Actions);
		$this->ApiCmd->issueCommand();
		
		//var_dump($this->ApiCmd);
		if ($this->ApiCmd->getResult()->RetVal . "") 
		{
			$this->stopBGASuccess = 0;
		}
		else 
		{
			$this->stopBGASuccess = 1;
		}
		
	}
	
	private function doDelete()
	{
		$this->ApiCmd = new XMLAPICommand();
		$this->ApiCmd->setCommand(XMLAPICommand::MV_DG_Delete);
		$this->ApiCmd->setCommandPara("AdapterID",$this->getAdapterID());
		$this->ApiCmd->setCommandPara("DG_ID",$this->DG_ID);
		$this->ApiCmd->issueCommand();
		
		if ($this->ApiCmd->getResult()->RetVal . "") {
			$this->setDGCmdXmlRetFail();
		}
		else {
			$this->deleteRelatedSchedule();//don't check
			$this->setDeleteDGXmlRetSuccess();
		}
		
	}
	
	private function setDeleteDGXmlRetSuccess()
	{
		$this->xmlRet = new SuccessXMLRet();
		$this->xmlRet->Msg = "";
		$this->xmlRet->Url = getBaseURL() . PHPPageName::TargetPageName
			. "?Target=" . Target::getHBADetail . "&ID=" . $this->getAdapterID() ;
	}
	
	private function deleteRelatedSchedule()
	{
		include("../phpsrc/baseclass/BGAJob.class.php");
		include("../phpsrc/baseclass/BGAJobDataAccess.class.php");
		
		$da = new BGAJobDataAccess();
		$da->deleteBGAJobByDGID($this->DG_ID, $this->getAdapterID());
	}
	
/*	private function setAdapterID()
	{
		include_once("../phpsrc/baseclass/DG.class.php");
		include_once("../phpsrc/baseclass/DGBase.class.php");
		include_once("../phpsrc/baseclass/DGDetail.class.php");
		
		$dg = new DgDetail();
		$dg->setDGID($this->DG_ID);
		$dg->toGetDGInfo();
		$dg->initData();
		$this->AdapterID = 0;
		$list = $dg->getBaseClasses();
		if ($list) {
			$dg = array_shift($list);
			$this->AdapterID = $dg->getAdapterID();
		}
		
	}
	*/
	protected function doAction()
	{
		//$this->setAdapterID();
		if ($this->xmlRet == null) {
				$this->Actions = BgaControl::BGA_CONTROL_TERMINATE_IMMEDIATE;
				$this->doStopBGA();
				$this->doDelete();
		}
	}
}
?>