<?php
class ActionHdBgaControl extends UserAction 
{
	private $HD_ID;
	private $Action;
	
	protected function validatePara()
	{
		//check the http request parameters
	}
	protected function initActionPara()
	{
		$this->HD_ID = getRequestPara("HDID");
		$this->Action = getRequestPara("action");
	}
	
	private function doBgaCtronl()
	{
		$this->ApiCmd = new XMLAPICommand();
		$this->ApiCmd->setCommand(XMLAPICommand::MV_PD_BGAControl);
		$this->ApiCmd->setCommandPara("AdapterID", $this->getAdapterID());
		$this->ApiCmd->setCommandPara("HD_ID", $this->HD_ID);
		$bgaAction = BgaControl::getBgaControlValue($this->Action);
		$this->ApiCmd->setCommandPara("Actions", $bgaAction);
		
		if ($this->ApiCmd->getResult()->RetVal . "") {
			$this->setHDCmdXmlRetFail();
		}
		else {
			$this->setHDCmdXmlRetSuccess();
		}
	}
	
	protected function doAction()
	{
		$this->doBgaCtronl();
	}
}
?>