<?php
class ActionSaveLDConfig extends UserAction 
{
	private $LD_ID;
	private $LDName;
	private $ReadCache;
	private $WriteCache;
	private $AutoRebuildOn;
	
	protected function validatePara()
	{
		//check the http request parameters
	}
	protected function initActionPara()
	{
		$this->LD_ID = getRequestPara("LDID");
		$this->LDName = getRequestPara("LDName");
		$this->ReadCache = getRequestPara("ReadCache");
		$this->WriteCache = getRequestPara("WriteCache");
		$this->AutoRebuildOn = getRequestPara("AutoRebuildOn");
	}
	
	private function doSaveLDConfig()
	{
		$this->ApiCmd = new XMLAPICommand();
		
		$this->ApiCmd->setCommand(XMLAPICommand::MV_LD_SetConfig);
		$this->ApiCmd->setCommandPara("AdapterID",$this->getAdapterID());
		$this->ApiCmd->setCommandPara("LD_ID",$this->LD_ID);
		$this->ApiCmd->setCommandPara("LDID",$this->LD_ID);
		$this->ApiCmd->setCommandPara("Status",0);
		$this->ApiCmd->setCommandPara("AutoRebuildOn",$this->AutoRebuildOn);
		$this->ApiCmd->setCommandPara("BGARate",0);
		$CacheMode = $this->WriteCache | $this->ReadCache;
		$this->ApiCmd->setCommandPara("CacheMode",$CacheMode);
		$this->ApiCmd->setCommandPara("Name",$this->LDName);
		$this->ApiCmd->issueCommand();
		
		if ($this->ApiCmd->getResult()->RetVal . "") {
			$this->setLDCmdXmlRetFail();
		}
		else {
			$this->setLDCmdXmlRetSuccess();
		}
	}
	
	protected function doAction()
	{
		$this->doSaveLDConfig();
	}
}
?>