<?php
//get events information
//get number of VD event,PD event....
class GetEventsInfo
{
	private $ApiCmd;
	private $TplFile;
	private $ApiCmdGetChange;
	private $smarty;
	
	private function setEventMax()
	{
		$this->ApiCmd = new XMLAPICommand();
		
		$this->ApiCmd->setCommand(XMLAPICommand::ZA_MV_EVT_GetEvents);
		$this->ApiCmd->setCommandPara("Num", "0");// 0 stand for get event start no and end no
		$this->ApiCmd->setCommandPara("Start", "0");
		$this->ApiCmd->setCommandPara("End", "0");
		
		$this->ApiCmd->issueCommand();
		
		$this->smarty->assign("MaxNumber",intval(trim($this->ApiCmd->getResult()->n)));
	}
	
	private function setEventChanges()
	{
		$this->ApiCmdGetChange = new XMLAPICommand();
		$this->ApiCmdGetChange->setCommand(XMLAPICommand::ZA_MV_EVT_GetChangeCounters);
		$this->ApiCmdGetChange->issueCommand();
		
		$this->smarty->assign("LDEventNum",
			intval(trim($this->ApiCmdGetChange->getResult()->ChangeCounters->LD_Change)));
		$this->smarty->assign("PDEventNum",
			intval(trim($this->ApiCmdGetChange->getResult()->ChangeCounters->HD_Change)));
		$this->smarty->assign("PMEventNum",
			intval(trim($this->ApiCmdGetChange->getResult()->ChangeCounters->PM_Change)));
		$this->smarty->assign("ExpanderEventNum",
			intval(trim($this->ApiCmdGetChange->getResult()->ChangeCounters->Expander_Change)));
		$this->smarty->assign("HBAEventNum",
			intval(trim($this->ApiCmdGetChange->getResult()->ChangeCounters->Adapter_Change)));
	}
	
	public function displayResultXML()
	{
		$this->TplFile = "XML_EventMax.tpl";
		$this->setEventMax();
		$this->setEventChanges();
		$this->smarty->display($this->TplFile);
	}
	
	public function smartyAssign($smarty)
	{
		$this->smarty = $smarty;
	}
}

?>