<?php
class CtnEnclDetail extends Container 
{
	private $ID;
	private $toGetEnclInfo;
	private $toGetEnclElementInfo;
	private $toGetEnclElementCfg;
	private $toGetEnclExpanderInfo;
	private $toGetEnclPMInfo;
	
	public function setID($ID)
	{
		$this->ID = $ID;
	}
	
	public function toGetEnclInfo()
	{
		$this->toGetEnclInfo = true;
	}
	
	public function toGetEnclElementInfo()
	{
		$this->toGetEnclElementInfo = true;
	}
	
	public function toGetEnclElementCfg()
	{
		$this->toGetEnclElementCfg = true;
	}
	
	public function toGetEnclExpanderInfo()
	{
		$this->toGetEnclExpanderInfo = true;
	}
	
	public function toGetEnclPMInfo()
	{
		$this->toGetEnclPMInfo = true;
	}
	
	protected function setBase()
	{
		$this->base = new EnclDetail();
		$this->base->setAdapterID($this->getAdapterID());
		$this->base->setEnclID($this->ID);
		if ($this->toGetEnclInfo && $this->ID != EnclBase::ENC_SIMULATOR_ID) {
			$this->base->toGetEnclInfo();
		}
		if ($this->toGetEnclElementInfo && $this->ID != EnclBase::ENC_SIMULATOR_ID) {
			$this->base->toGetEnclElementInfo();
		}
		if ($this->toGetEnclElementCfg && $this->ID != EnclBase::ENC_SIMULATOR_ID) {
			$this->base->toGetEnclElementCfg();
		}
		if ($this->toGetEnclExpanderInfo) {
			$this->base->toGetEnclExpanderInfo();
		}
		if ($this->toGetEnclPMInfo) {
			$this->base->toGetEnclPMInfo();
		}
	}
	
	public function displayXML()
	{
		//var_dump($this->base);
		$this->display("XML_EnclDetail.tpl");
	}

	protected function setDataToPage()
	{
		$enclosures = $this->base->getBaseClasses();
		foreach ($enclosures as $enc)
		{
			if ($enc->getDeviceID() == $this->ID) {
				$Dtl = new EnclInfo();
				$Dtl->setEnclInfo($enc);
				$Dtl->setEnclDtl($enc);
				$this->smarty->assign("EnclInfo",$Dtl);
				break;
			}
		}

	}
}
?>