<?php
class CtnGetMigratedLDSize extends Container
{
	private $HDIDs = array();
	private $RaidMode;
	private $NumOfParityDisk;
	private $LDID;
	
	public function addHDID($HDID)
	{
		$this->HDIDs[] = $HDID;
	}
	
	public function setRaidMode($RaidMode)
	{
		$this->RaidMode = $RaidMode;
	}
	
	public function setNumOfParityDisk($NumOfParityDisk)
	{
		$this->NumOfParityDisk = $NumOfParityDisk;
	}
	
	public function setLDID($LDID)
	{
		$this->LDID = $LDID;
	}
	
	protected function setBase()
	{
		$this->base = new GetMigratedLDSize();
		foreach ($this->HDIDs as $HDID)
		{
			$this->base->addHDID($HDID);
		}
		$this->base->setRaidMode($this->RaidMode);
	}

	protected function setDataToPage()
	{
		$baseclasses = $this->base->getBaseClasses();
		if ($baseclasses) {
			$this->smarty->assign("MigratedLDSizeGB",FormatSize($baseclasses[0]));
			$MaxSize = ConvertSize($baseclasses[0]);
			$this->smarty->assign("MigratedLDSize",$MaxSize);
		}
		else {
			$this->smarty->assign("MigratedLDSize",gettext("Select disk(s)"));
		}
	}
	
	public function displayXML()
	{
		$this->display("GetMigratedLDSize.tpl");
	}
}
?>