<?php
class CtnLDList extends Container
{
	private $toGetLDInfo = false;
	private $toGetLDStatus = false;
	private $toGetBlockInfo = false;
	private $toGetHDInfo = false;
	
	public function toGetLDInfo()
	{
		$this->toGetLDInfo = true;
	}
	
	public function toGetLDStatus()
	{
		$this->toGetLDStatus = true;
	}
	
	public function toGetBlockInfo()
	{
		$this->toGetBlockInfo = true;
	}
	
	public function toGetHDInfo()
	{
		$this->toGetHDInfo = true;
	}
	
	protected function setBase()
	{
		$this->base = new LdList();
		$this->base->setAdapterID($this->getAdapterID());
		if ($this->toGetLDInfo) {
			$this->base->toGetLDInfo();
		}
		if ($this->toGetLDStatus) {
			$this->base->toGetLDStatus();
		}
		if ($this->toGetBlockInfo) {
			$this->base->toGetBlockInfo();
		}
		if ($this->toGetHDInfo) {
			$this->base->toGetHDInfo();
		}
	}

	
	public function displayXML()
	{
		$this->display("XML_LdList.tpl");
	}
	
	protected function setDataToPage()
	{
		$LdList = array();
		$HasBga = 0;
		$baseclasses = $this->base->getBaseClasses();
		foreach ($baseclasses as $LD)
		{
			$ldInfo = new LDInfo();
			$ldInfo->setLDInfo($LD);
			if ($ldInfo->Bga && $ldInfo->BgaStateInt == LdBgaState::LD_BGA_STATE_RUNNING) {
				$HasBga = 1;
			}
			//var_dump($ldInfo);
			$LdList[$ldInfo->ID] = $ldInfo;
		}
		
		ksort($LdList);
		$this->setInfo($LdList);
		$this->smarty->assign("LdList",$LdList);
		$this->smarty->assign("HasBga",$HasBga);
	}
}
?>