<?php
//include_once("PageDisplayer.class.php");

class PgAccountMngDisplayer extends PageDisplayer
{
	protected function initPage()
	{
		
		if (!getSessionPara('isAdmin')) 
		{ //logout current user			
			logoutUser();		  
		   // go to login page	
	        $this->displayDefaultPage(Target::LoginPage);
	        return;
		} 
		
		$smarty = $this->smarty;	
		
		$pageID = getRequestPara('pageID');
		$names = getRequestPara('selectedAccounts');
		
		if ($names) {
			$nameArr = explode(' ',$names);
			if ($nameArr) {
				$DA = new UserDataAccess();
				foreach ($nameArr as $name)
				{
					$DA->deleteUserByLoginName($name);
				}
			}
			$this->jumptoPage('Target=AccountMngPage&pageID=' . $pageID);
		}
		else {
			$users = new CtnUsers();
			$users->smartyAssign($smarty);
			$users->setPageID($pageID);
			$users->initContainer();
			
			$smarty->assign("supportNotify",constant('MAIL_SUPPORT'));
			
			$this->setPageName(Target::AccountMngPage . ".tpl");
		}
	}
}
?>