<?php
class PgEventsSaveFileDisplayer extends PageDisplayer
{
	protected function initPage()
	{
		$container = new CtnAllEventList();
		$container->smartyAssign($this->smarty);
		$container->initContainer();
		
		$fileName = gettext("EventsLog") . date("Ymd") . ".txt";
		/*
		header("Cache-Control: no-store, no-cache, must-revalidate");
		header("Cache-Control: post-check=0, pre-check=0", false);
		header("Cache-control: private");
		header("Pragma: no-cache");
		*/
		header("Content-Type: application/octet-stream");
		header("Content-Disposition: attachment; filename=$fileName");
		header("Content-transfer-encoding: binary");
		
		$this->setPageName("EventsSaveFilePage.tpl");
	}
}
?>