<?php
class PgLoginDisplayer extends PageDisplayer
{
	protected function initPage()
	{
		//logout first
		logoutUser();
		
		if (empty($_SERVER["HTTPS"])) {
			$this->jumptoLoginPage();
		}
		
		$user = getRequestPara("userName");
		$passwd = getRequestPara("passWord");
		$domain="";
		$name="";
		
		$userArr = split("[\]", $user);
		
		if (sizeof($userArr) == 1) {
			$name=$userArr[0];
		} else {
			$domain=$userArr[0];
			$name=$userArr[1];
		}
		
		//remember passwd check box
		$isRem = getRequestPara("rembPsd");
		
		$isRem = ($isRem != null) ? 1 : 0;
		if ($name == "" || $name == null)
		{
		    $this->smarty->assign('userName',getLoginUserName());
		    $this->smarty->assign("notValid",0);
		    $this->setPageName(Target::LoginPage . ".tpl");
		}
		else
		{
		    if (loginUser($name,$domain,$passwd,$isRem)) 
		    {
			    $this->jumptoMainPage();
		    }
		    else
		    {
		    	if ($domain != "")
		    		$userName = $domain . "\\" . $name;
		    	else 
		    		$userName = $name;
			    $this->smarty->assign('userName',$userName);
			    $this->smarty->assign("notValid",1);
			}
			$this->setPageName(Target::LoginPage . ".tpl");
		}
	}
}
?>
