<?php
//include_once("PageDisplayer.class.php");

class PgRebuildDgDisplayer extends PgRebuildDisplayer
{
	
	protected function setDisplayInfo()
	{
		parent::setDisplayInfo();
		$this->smarty->assign("isDGBGA",1);
		$this->smarty->assign("ScheduledBgaType",ScheduledBGAType::DG_BGA_REBUILD);
	}
	
	protected function setInfo()
	{
		$ID = getRequestPara('ID');
		$HBAID = $this->getAdapterID();
		if ($ID == null) {
			$this->displayDefaultPage(Target::getSystemSubPage);
			return;
		}
		
		$smarty = $this->smarty;
		
		//add for sub menu
		$container = new CtnDgDetail();
		$container->setAdapterID($HBAID);		
		$container->setDGID($ID);		
		$container->toGetDgInfo();
		$container->toGetDGConfig();
		$container->toGetDgLDInfo();
		$container->smartyAssign($smarty);
		$container->initContainer();
		
		$dglst = $container->getBase()->getBaseClasses();
		if (!sizeof($dglst)) {
			$Name = gettext('DG Not Exist');
			$smarty->assign('DGNotExist',1);
		}
		else {
			$dgDetail = array_shift($dglst);
			$Name = $dgDetail->getName();
			//$adpID = $dgDetail->getAdapterID();
			
			//$this->setHBAID($adpID);
			
			$HDs = $dgDetail->getHDList();
			
			$filter = new HdRebuildFilter($dgDetail->getSmallestAvailablePDSize(),$HDs);
			
			$hdList = new CtnHdList();
			$hdList->setAdapterID($HBAID);
			$hdList->toGetHDInfo();
			$hdList->toGetValidSize();
			$hdList->toGetSpareInfo();
			$hdList->toGetHdFreeInfo();
			$hdList->setFilter($filter);
			$hdList->smartyAssign($smarty);
			$hdList->initContainer();
		}
		
    	$CancelAlert = gettext(AlertMsg::REBUILD_CANCEL)."?";
    	$smarty->assign("CancelAlert",$CancelAlert);
    	$smarty->assign("ID",$ID);
    	$smarty->assign("HBAID",$HBAID);
    	$smarty->assign("Name",$Name);

/*		$info =$container->getInfos();

		$enableRebuild = $info->enableRebuild;
		$enableMigrate = 0;//$info->enableMigrate; //TODO
		$enableDelete = $info->enableDelete;
		$enableStop = $info->enableStop;
		$enableResume = $info->enableResume;
		$enablePause = $info->enablePause;
		$enableRestart = $info->enableRestart;
		
		$rebuildStr = gettext('Rebuild');
		$migrateStr = gettext('Migrate');
		$deleteStr = gettext('Delete');
		
		$isLink = 0;
		$isCMD = 1;
		$migrateLink = 'JumpPage.php?Target=' . Target::MigrateDgPage .'&amp;ID=' . $info->ID;
		$rebuildLink = 'JumpPage.php?Target=' . Target::RebuildDgPage .'&amp;ID=' . $info->ID;
		$deleteCMD = 'DgInfo.doDelete()';
			
		$ArrayOperations = 
			array(
				 $migrateStr=>
				 	array(
						$isLink, $enableMigrate, $migrateLink
					),
				 $rebuildStr=>
				 	array(
						$isLink, $enableRebuild, $rebuildLink
					),
				 $deleteStr=>
				 	array(
						$isCMD, $enableDelete, $deleteCMD
					)
			);
		
		$OperationLength = sizeof($ArrayOperations);
		
		$smarty->assign('ArrayOperations',$ArrayOperations);
		$smarty->assign('OperationLength',$OperationLength);
		*/
	}
}
?>