<?php
//include_once("PageDisplayer.class.php");

class PgTimeSettingDisplayer extends PageDisplayer
{
	protected function initPage()
	{
		$smarty = $this->smarty;
		
		$selectedJobIDs = trim(getRequestPara('selectedJobIDs'));
		$type = getRequestPara('type');
		if ($type == 'modify' && $selectedJobIDs) {
			//entering
			$idArr = explode(' ',$selectedJobIDs);//
			if (sizeof($idArr) == 1)// only one selected
			{
				$jobID = $idArr[0];
				
				$jobDtl = new CtnBGAJobDtl();
				$jobDtl->setJobID($jobID);
				$jobDtl->smartyAssign($smarty);
				$jobDtl->initContainer();
			}
			else 
			{
				//display default value
				//getNow from extension;
				$nowStr = getNow();//like YYYYMMDDHHMMSS
				$now = strtotime($nowStr);
				
				$defaultTimeStr = date("H:i",$now);
				$defaultDateStr  = date("m/d/Y", $now);
				
				$smarty->assign('defaultTimeStr',$defaultTimeStr);
				$smarty->assign('defaultDateStr',$defaultDateStr);
			}
		}
		
		$pageID = getRequestPara('pageID');
		$smarty->assign('pageID',$pageID);

		$smarty->assign('selectedJobIDs',$selectedJobIDs);
		//$smarty->assign('oTime',$oTime);
		
		$this->setPageName(Target::TimeSettingPage . ".tpl");
	}
}
?>