<?php
	foreach ( $_REQUEST as $key => $value ) {
		if($key == "event"){
			// Identify as XML
			header('Content-type: text/xml');

			$old_evt = $value;
			$result = getNewValue();

			// XML Preamble
			$xml = '<?xml version="1.0" encoding="utf-8"?>' . "\n";

			// Begin XML response
			$xml .= '<xmlresponse>' . "\n";

			//Checking severity for all events
			$SevEvt = $result. " 2";
			$Sev = "";
			$EvtId = "";
			if ($old_evt != "0"){
				if($old_evt != $result){
					$SevEvt = showEvent($old_evt, $result);
				}
			}
			list($EvtId, $Sev) = split(" ", $SevEvt, 2);

			// Build result string
			if ($result) {
				$xml .= '<event>'. $EvtId. '</event>' . "\n";
			} else {
				$xml .= '<event>0</event>' . "\n";
			}

			if($Sev != ""){
				$xml .= '<severity>'. $Sev. '</severity>' . "\n";
			} else {
				$xml .= '<severity>2</severity>' . "\n";
			}

			// End XML response
			$xml .= '</xmlresponse>' . "\n";

			// Output XML string
			echo $xml;
		}
	}

	function getNewValue(){
		$retval = "";
		$n = 4;
		$e = 0;
		$XMLRet = "";
		/*** EVENT LOG ***/
		$XMLCmd = 
		"
		<ZA_MV_EVT_GetEvents type='function'>
		  <n type='U32'>0</n>
		  <s type='U32'>0</s>
		  <e type='U32'>0</e>
		</ZA_MV_EVT_GetEvents>
		";

		$retval = zRaidApi( $XMLCmd, $XMLRet );
		if( $retval ){
			$xmlAdp = new DOMDocument;
			$xmlAdp->loadXML($XMLRet); //Data taken from API

			$noderoot = $xmlAdp->documentElement;
			$childnodes = $noderoot->childNodes;

			foreach ($childnodes as $value) {
				if(isset($value->tagName) && $value->tagName != ""){
					if( $value->tagName == "e" ) {
						$e = $value->nodeValue;
						$e = $e + 1;
					}
				}
			}			
		}
		return $e;
	}

	function showEvent($old_evt, $Evt){
		$Severity = 2;
		$retval = "";
		$n = 1;

		$EvtMsg = $Evt;
		
		$n = $Evt - $old_evt;
		$Evt = $Evt - 1;

		$XMLRet = "";
		/*** EVENT LOG ***/
		$XMLCmd = 
		"
		<ZA_MV_EVT_GetEvents type='function'>
		  <n type='U32'>$n</n>
		  <s type='U32'>$old_evt</s>
		  <e type='U32'>$Evt</e>
		</ZA_MV_EVT_GetEvents>
		";

		$retval = zRaidApi( $XMLCmd, $XMLRet );
		if( $retval ){
			$xmlAdp = new DOMDocument;
			$xmlAdp->loadXML($XMLRet); //Data taken from API

			$noderoot = $xmlAdp->documentElement;
			$childnodes = $noderoot->childNodes;
			//$childnodes = $noderoot->getElementsByTagName("Event");
			
			$i = 0;
			$Evt = "";
			$code = "";
			$class = "";
			$eventIMG = "";
			$retEvt = "";
			$id = $old_evt;
			$tdColor = "EventRow1";
			foreach ($childnodes as $value) {
				if(isset($value->tagName) && $value->tagName != ""){
					//echo "<script language='javascript'> alert('$value->tagName'); </script>";
					
					if( $value->tagName == "Event" ) {
						$id = $id + 1;
						$vs = $value->childNodes;
						foreach( $vs as $v ) {
							//echo "<script language='javascript'> alert('$v->tagName'); </script>";
							if( isset($v->tagName) && $v->tagName == "Severity" ) {
								$Severity = $v->nodeValue;
								if($Severity != "0"){
									if($Severity != "2"){
										$Eid = $id;
										$retEvt = "$Eid $Severity";
									}
								}
							}
						}
					}
				}
			}
			if($retEvt == ""){
				$retEvt = "$EvtMsg $Severity";
			}
		}
		return $retEvt;
	}
?>
