<?php
include_once("../phpsrc/include.php");

//force no cache
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Cache-control: private");
header("Pragma: no-cache");


//$smarty->assign("Debug","1");

//$SrcUrl = getRequestPara('Source');
$TargUrl = getRequestPara('Target');

//page displayers
$PageDisplayer = null;
switch($TargUrl)
{
	case Target::getSystemSubPage :
		include_once("../phpsrc/pagedisplayer/CtnSystemSubPageDisplayer.class.php");
		$PageDisplayer = new CtnSystemSubPageDisplayer();
		break;
	case Target::getHBADetail :
		include_once("../phpsrc/pagedisplayer/CtnHBADetailDisplayer.class.php");
		$PageDisplayer = new CtnHBADetailDisplayer();		
		break;
	case Target::getArraySubPage :
		include_once("../phpsrc/pagedisplayer/CtnDgInfoDisplayer.class.php");
		$PageDisplayer = new CtnDgInfoDisplayer();
		break;
	case Target::SetDedicatedSparePage :
		include_once("../phpsrc/pagedisplayer/CtnSetDedicatedSpareDisplayer.class.php");
		$PageDisplayer = new CtnSetDedicatedSpareDisplayer();
		break;
	case Target::getVDSubPage :
		include_once("../phpsrc/pagedisplayer/CtnVDSubPageDisplayer.class.php");
		$PageDisplayer = new CtnVDSubPageDisplayer();
		break;
	case Target::getIndependentVDPage :
		include_once("../phpsrc/pagedisplayer/CtnIndependentVDPageDisplayer.class.php");
		$PageDisplayer = new CtnIndependentVDPageDisplayer();
		break;
	case Target::getHdDetail :
		include_once("../phpsrc/pagedisplayer/CtnHdDetailDisplayer.class.php");
		$PageDisplayer = new CtnHdDetailDisplayer();
		break;
	case Target::getBGAProgress :
		include_once("../phpsrc/pagedisplayer/CtnBGADisplayer.class.php");
		$PageDisplayer = new CtnBGADisplayer();
		break;
	case Target::getTreeNodes:
		include_once("../phpsrc/pagedisplayer/CtnTreeDisplayer.class.php");
		$PageDisplayer = new CtnTreeDisplayer();
		break;
	case Target::getEnclDetail :
		include_once("../phpsrc/pagedisplayer/CtnEnclDetailDisplayer.class.php");
		$PageDisplayer = new CtnEnclDetailDisplayer();
		break;
	case Target::getBBUSubPage :	
		include_once("../phpsrc/pagedisplayer/CtnBBUSubPageDisplayer.class.php");
		$PageDisplayer = new CtnBBUSubPageDisplayer();	
		break;
	case Target::getEventList :
		include_once("../phpsrc/pagedisplayer/CtnEventListDisplayer.class.php");
		$PageDisplayer = new CtnEventListDisplayer();
		break;
	case Target::getLdMax :
		include_once("../phpsrc/pagedisplayer/CtnLdMaxDisplayer.class.php");
		$PageDisplayer = new CtnLdMaxDisplayer();
		break;
	case Target::LdListPage :
	case Target::MarvellRaidPage :
		include_once("../phpsrc/pagedisplayer/CtnTreeDisplayer.class.php");
		include_once("../phpsrc/pagedisplayer/PgMarvellRaidDisplayer.class.php");
		$PageDisplayer = new PgMarvellRaidDisplayer();
		break;
	case Target::LoginPage ://login page
		include_once("../phpsrc/pagedisplayer/PgLoginDisplayer.class.php");
		$PageDisplayer = new PgLoginDisplayer();
		break;
	case Target::CreateDgPage :
		include_once("../phpsrc/pagedisplayer/PgCreateDgDisplayer.class.php");
		$PageDisplayer = new PgCreateDgDisplayer();
		break;
	case Target::CreateVdOnDgPage:
		include_once("../phpsrc/pagedisplayer/PgCreateVdOnDgDisplayer.class.php");
		$PageDisplayer = new PgCreateVdOnDgDisplayer();
		break;
	case Target::InitPage :
		include_once("../phpsrc/pagedisplayer/PgInitDisplayer.class.php");
		$PageDisplayer = new PgInitDisplayer();
		break;
	case Target::CheckPage :
		include_once("../phpsrc/pagedisplayer/PgCheckDisplayer.class.php");
		$PageDisplayer = new PgCheckDisplayer();
		break;
	case Target::RebuildPage :
		include_once("../phpsrc/pagedisplayer/PgRebuildDisplayer.class.php");
		$PageDisplayer = new PgRebuildDisplayer();
		break;
	case Target::CreatePage1 :
		include_once("../phpsrc/pagedisplayer/PgCreate1Displayer.class.php");
		$PageDisplayer = new PgCreate1Displayer();
		break;
	case Target::CreatePage2 :
		include_once("../phpsrc/pagedisplayer/PgCreate2Displayer.class.php");
		$PageDisplayer = new PgCreate2Displayer();
		break;
	case Target::MigrateVdPage :
		include_once("../phpsrc/pagedisplayer/PgMigrateDisplayer.class.php");
		include_once("../phpsrc/pagedisplayer/PgMigrateVdDisplayer.class.php");
		$PageDisplayer = new PgMigrateVdDisplayer();
		break;
	case Target::MigratePage :
		include_once("../phpsrc/pagedisplayer/PgMigrateDisplayer.class.php");
		$PageDisplayer = new PgMigrateDisplayer();
		break;
	case Target::EventsSaveFilePage  :
		include_once("../phpsrc/pagedisplayer/PgEventsSaveFileDisplayer.class.php");
		$PageDisplayer = new PgEventsSaveFileDisplayer();
		break;
	case Target::BgaSchedulePage :
		include_once("../phpsrc/pagedisplayer/PgBgaScheduleDisplayer.class.php");
		$PageDisplayer = new PgBgaScheduleDisplayer();
		break;
	case Target::NewTimesettingPage :
		include_once("../phpsrc/pagedisplayer/PgNewTimesettingDisplayer.class.php");
		$PageDisplayer = new PgNewTimesettingDisplayer();
		break;
	case Target::AccountPage1 :
		include_once("../phpsrc/pagedisplayer/PgAccount1Displayer.class.php");
		$PageDisplayer = new PgAccount1Displayer();
		break;
	case Target::EmailSettingPage :
		include_once("../phpsrc/pagedisplayer/PgEmailSettingDisplayer.class.php");
		$PageDisplayer = new PgEmailSettingDisplayer();
		break;
	case Target::MigrateDgPage:
		include_once("../phpsrc/pagedisplayer/PgMigrateDisplayer.class.php");
		include_once("../phpsrc/pagedisplayer/PgMigrateDgDisplayer.class.php");
		$PageDisplayer = new PgMigrateDgDisplayer();
		break;
	case Target::RebuildDgPage:
		include_once("../phpsrc/pagedisplayer/PgRebuildDisplayer.class.php");
		include_once("../phpsrc/pagedisplayer/PgRebuildDgDisplayer.class.php");
		$PageDisplayer = new PgRebuildDgDisplayer();
		break;
	case Target::BiosFlashPage:
		include_once("../phpsrc/pagedisplayer/PgBoisFlashDisplayer.class.php");
		$PageDisplayer = new PgBoisFlashDisplayer();
		break;
	default:
		//include_once("../phpsrc/pagedisplayer/PgLdListDisplayer.class.php");
		//$PageDisplayer = new PgLdListDisplayer();
		break;
}

if ($PageDisplayer) {
	$PageDisplayer->smartyAssign($smarty);
	$PageDisplayer->display();
}
?>