//globe variable
AdapterID = 0;

//LD detail add information in page
var Adapter = new Object();

Adapter.initialize=function(){
	Adapter.oModify=null;
	Adapter.oRestore=null;

	Adapter.iBGARate=128;

	Adapter.hasModified=false;

	Adapter.iAutoRebuild=0;
	Adapter.iSmart=0;
	Adapter.iOCE=-1;
	Adapter.iCopyBack=0;

	Adapter.iSyncRate=128;
	Adapter.iInitRate=128;
	Adapter.iRebuildRate=128;
	Adapter.iMigrationRate=128;
	Adapter.iCopybackRate=128;
	Adapter.iMediaPatrolRate=128;
	Adapter.supportMuiltBgaRate = 0;
	Adapter.supportCopyback = 0;
	Adapter.supportMediaPatrol=0;
	Adapter.supportOCE=0;
}

Adapter.initialize();

Adapter.runCMD=function()
{
    Adapter.iAutoRebuild = getCheckedFromRadio("autoRebuild");
    Adapter.iSmart = getCheckedFromRadio("pollSmart");
    Adapter.iOCE = getCheckedFromRadio("OCE");
	Adapter.iCopyBack = getCheckedFromRadio("copyBack");
    var strCmd = "command.php?cmdName=saveHBAConfig&HBAID="+AdapterID+"&AutoRebuildOn="+Adapter.iAutoRebuild+"&PollSMARTOn="+Adapter.iSmart;
    if (!Adapter.supportMuiltBgaRate)
	{
		strCmd += "&BGARate="+Adapter.iBGARate;
	}
    else
    {
		strCmd += "&MigrationRate="+Adapter.iMigrationRate;
		strCmd += "&InitRate="+Adapter.iInitRate;
		strCmd += "&SyncRate="+Adapter.iSyncRate;
		strCmd += "&RebuildRate="+Adapter.iRebuildRate;
		if (Adapter.supportCopyback) {
			strCmd += "&CopybackRate="+Adapter.iCopybackRate;
			strCmd += "&CopyBack="+Adapter.iCopyBack;
		}
		if (Adapter.supportMediaPatrol)
		{
			strCmd += "&MediaPatrolRate="+Adapter.iMediaPatrolRate;
		}
		//strCmd += "&OCE="+Adapter.iOCE;
    }
	if (Adapter.supportOCE) strCmd += "&OCE="+Adapter.iOCE;

	var AdapterCMD=new Command(strCmd);
    AdapterCMD.run();
    var result = AdapterCMD.getResult();
	//alert(result);
    if (result!="")
    {
		MarvellRaidDetail.partUrl = result;
        MarvellRaidDetail.run();
    }
    AdapterCMD=null;
}

Adapter.doAlerm= function(alarmStatus)
{
    var AdapterCMD=new Command("command.php?cmdName=saveHBAConfig&HBAID="+AdapterID+"&AlarmOn="+alarmStatus);
    AdapterCMD.run();
    var result = AdapterCMD.getResult();
    if (result!="")
    {
		MarvellRaidDetail.partUrl = result;
        MarvellRaidDetail.run();
    }
    AdapterCMD=null;
    return false;
}

Adapter.changeStatus=function()
{
    Adapter.hasModified=true;
	if (Adapter.oModify) {
		Adapter.oModify.className="buttonChar";
		Adapter.oModify.onclick=Adapter.doModify;
	}
	if (Adapter.oRestore)
	{
		Adapter.oRestore.className="buttonChar";
		Adapter.oRestore.onclick=Adapter.doRestore;
	}
}

Adapter.modifiedClean=function()
{
	if (Adapter.oModify)
	{
		Adapter.oModify.onclick=doNothing;
		Adapter.oModify.className="disButtChar";
	}
	if (Adapter.oRestore)
	{
		Adapter.oRestore.onclick=doNothing;
		Adapter.oRestore.className="disButtChar";
	}
    Adapter.hasModified=false;
    
}

Adapter.doModify= function()
{
    if (Adapter.hasModified)
    {
        if (!Adapter.supportMuiltBgaRate)
        {
			Adapter.iBGARate = s1.getValue();
		}
	    else
	    {
	        Adapter.iSyncRate = s2.getValue();
	        Adapter.iInitRate = s3.getValue();
	        Adapter.iRebuildRate = s4.getValue();
	        Adapter.iMigrationRate = s5.getValue();
			if (Adapter.supportCopyback)//Adapter.supportCopyback
				Adapter.iCopybackRate = s6.getValue();
			if (Adapter.supportMediaPatrol)
			{
				Adapter.iMediaPatrolRate = s7.getValue();
			}
	    }
        
        Adapter.modifiedClean();
        Adapter.runCMD();
    }
    return false;
}

Adapter.doRestore= function()
{
    if (Adapter.hasModified)
    {
        Adapter.modifiedClean();
        if (!Adapter.supportMuiltBgaRate)
        {
			s1.setValue(Adapter.iBGARate);
		}
	    else
	    {
	        s2.setValue(Adapter.iSyncRate);
	        s3.setValue(Adapter.iInitRate);
	        s4.setValue(Adapter.iRebuildRate);
	        s5.setValue(Adapter.iMigrationRate);
			if (Adapter.supportCopyback)
				s6.setValue(Adapter.iCopybackRate);
			if (Adapter.supportMediaPatrol)
			{
				s7.setValue(Adapter.iMediaPatrolRate);
			}
	    }
	    Adapter.modifiedClean();
		setCheckedToRadio("autoRebuild",Adapter.iAutoRebuild);
        setCheckedToRadio("pollSmart",Adapter.iSmart);
        setCheckedToRadio("OCE",Adapter.iOCE);
		if (Adapter.supportCopyback)
			setCheckedToRadio("copyBack",Adapter.iCopyBack);
    }
    return false;
}

Adapter.bgachange= function()
{
    Adapter.changeStatus();
}

Adapter.syncchange= function()
{
    Adapter.changeStatus();
}

Adapter.initchange= function()
{
    Adapter.changeStatus();
}

Adapter.rebuildchange= function()
{
    Adapter.changeStatus();
}

Adapter.migrationchange= function()
{
    Adapter.changeStatus();
}

Adapter.copybackchange= function()
{
    Adapter.changeStatus();
}

Adapter.mediaPatrolchange= function()
{
    Adapter.changeStatus();
}

function AdapterPage(){
	Adapter.initialize();

	Adapter.oModify=getObjectById('modifyButt');
	Adapter.oRestore=getObjectById('restoreButt');

    Adapter.iAutoRebuild = getCheckedFromRadio("autoRebuild");
    Adapter.iSmart = getCheckedFromRadio("pollSmart");
	Adapter.iOCE = getCheckedFromRadio("OCE");
	Adapter.iCopyBack = getCheckedFromRadio("copyBack");
	Adapter.modifiedClean();

	MarvellRaidTree.setCurrentNode("treelink_"+MarvellRaidTree.ADAPTER_LEAF+AdapterID+0);
	clickTreeNode(MarvellRaidTree.currentNode);
}