

var dragging = false;

function X_ResizeStart(e)
{
  dragging = true;  
  var splitter = window.X_Splitter;
  splitter.parrentOffsetX = GetX(splitter.parentNode)  + e.clientX - GetX(splitter);

  document.onmousemove = function(e) { if (!e) var e = window.event; X_MouseMove(e) }
  document.onmouseup = function(e) { if (!e) var e = window.event; X_ResizeStop(e) }
  document.body.ondrag = function () { return !dragging; };
  document.body.onselectstart = function () { return !dragging; };
  
  return false;
}

function X_ResizeStop(e)
{
  document.onmousemove = null;
  document.onmouseup = null;
  var splitter = window.X_Splitter;
  var leftSection = window.leftSection;
  X_Redaw(splitter, leftSection, splitter.offsetLeft);

  splitter.style.backgroundRepeat='no-repeat';

  dragging = false;
  
}

function X_OpenCollapse()
{
  var leftSection =  window.leftSection;
  var splitter = window.X_Splitter;

  if(splitter.offsetLeft == 0){      
    X_Redaw(splitter, leftSection , parseInt(leftSection.style.width))
  }
  else{
	var lSideWidth = GetX(splitter.parentNode);
    X_Redaw(splitter, leftSection , 0);
  }
}


function X_Redaw(splitter, leftSection, width )
{
	var date = new Date();
	date.setYear(date.getFullYear()+1); 

  if(width <= 30){
    leftSection.style.display = "none";
  	splitter.style.left ="0px";
  }else{
    leftSection.style.display = "block";
    splitter.style.left =width + "px"; 
  	leftSection.style.width = width + "px";	
	window.treeScrollPart.style.width=leftSection.style.width;
   }
//  if(window.ra_OnPageResize)
//    ra_OnPageResize();
SplitterChangeResize();

}

function X_MouseMove(e)
{
  var rightSectionMinWidth = 530;
  var leftSectionMinWidth = 30;
  splitter = window.X_Splitter;

  splitter.style.backgroundRepeat='repeat-y';

  x = e.clientX - splitter.parrentOffsetX;
  if(x <= leftSectionMinWidth)
    x=leftSectionMinWidth;
  else if(x >= splitter.parentNode.offsetWidth - splitter.offsetWidth - rightSectionMinWidth) 
    x = splitter.parentNode.offsetWidth - splitter.offsetWidth - rightSectionMinWidth;
  splitter.style.left=x + "px";
  return false;
}

function GetX(oElement)
{
  var x = 0;
  while( oElement != null )
  {
    x += oElement.offsetLeft;
    oElement = oElement.offsetParent;
  }
  return x;

}


function Y_ResizeStart(e, splitter, topSectionId, bottomSectionId){
  dragging = true;  
  window.Y_Splitter = splitter;
  window.Y_TopSection = document.getElementById(topSectionId);
  window.Y_BottomSection = document.getElementById(bottomSectionId);

  document.onmousemove = function(e) { if (!e) var e = window.event; Y_MouseMove(e) }
  document.onmouseup = function(e) { if (!e) var e = window.event; Y_ResizeStop(e) }
  document.body.ondrag = function () { return !dragging; };
  document.body.onselectstart = function () { return !dragging; };
  return false;
}

function Y_MouseMove(e){
  var topSectionMinHeight = 120;
  var bottomSectionMinHeight = 70;
  splitter = window.Y_Splitter;
  topSection = window.Y_TopSection;
  bottomSection = window.Y_BottomSection;
  
  splitterTD = getObjectById('Vertical_Splitter_TD');
  splitterTD.style.backgroundRepeat='repeat-x';
  splitter.style.zIndex = 21;
  bottomSection.style.zIndex = 20;

  var winHeight = getMyHeight();
  var MvHTMLPartHeight = getObjectById('MvHTMLPart').offsetHeight;

  y = e.clientY - 135;
  if(y <= topSectionMinHeight) // //todo: add minwidth property
    y=topSectionMinHeight;
  else if(y >= MvHTMLPartHeight - bottomSectionMinHeight) {
	y=MvHTMLPartHeight - bottomSectionMinHeight;
  }
  splitter.style.top=y + "px";
  return false;

}

function Y_ResizeStop(e){
  document.onmousemove = null;
  document.onmouseup = null;
  splitter = window.Y_Splitter;
  topSection = window.Y_TopSection;
  bottomSection = window.Y_BottomSection;
  Y_Redaw(splitter, splitter.offsetTop);

  splitterTD = getObjectById('Vertical_Splitter_TD');
  splitterTD.style.backgroundRepeat='no-repeat';
  splitter.style.zIndex = 20;
  bottomSection.style.zIndex = 21;

  dragging = false;

}

function Y_Redaw(splitter, height )
{
	var date = new Date();
	date.setYear(date.getFullYear()+1); 
    bottomSection = window.bottomSection;
    var MvHTMLPartObj = getObjectById('MvHTMLPart');
    var bodyHeight = MvHTMLPartObj.offsetHeight;
  if(height >= (bodyHeight-70)){
    bottomSection.style.visibility = "hidden";
  	splitter.style.top = parseInt(bodyHeight)-10;
	splitterResize(bodyHeight-10);
  }else{
    bottomSection.style.visibility = "visible";
    splitter.style.top =height + "px";
	splitterResize(height);
   }
 // if(window.ra_OnPageResize)
 //   ra_OnPageResize(); 
}

function GetY(oElement)
{
  var x = 0;
  while( oElement != null )
  {
    x += oElement.offsetTop;
    oElement = oElement.offsetParent;
  }
  return x;

}

function Y_OpenCollapse(){
  var MvHTMLPartObj = getObjectById('MvHTMLPart');
  var splitter = window.Y_Splitter;
  var bottomSection = window.Y_BottomSection;
  var topSection = window.Y_TopSection;
  var bodyHeight = MvHTMLPartObj.offsetHeight;

  if (splitter.offsetTop == (bodyHeight-10)) { //open
	    var height = bodyHeight - bottomSection.offsetHeight;
		Y_Redaw(splitter,  parseInt(height));
  } else { //Collapse
		Y_Redaw(splitter,  parseInt(bodyHeight)-10);
  }
		
}

//function ra_OnPageResize(){
	//var object = getObjectById("");
	//object.style.height = object.parentNode.offsetHeight ;
//}

function onLoadInitialize(){
	window.innerBody = getObjectById('MvHTMLPart');

    window.Y_Splitter = getObjectById('Vertical_Splitter');
    window.topSection = getObjectById('topHTMLPart');
    window.bottomSection = getObjectById('bottomHTMLPart');

    window.X_Splitter = getObjectById('Horizontal_Splitter');
    window.leftSection = getObjectById('leftHTMLPart');
    window.rightSection = getObjectById('rightHTMLPart');
	window.treeScrollPart = getObjectById('TreeHtmlScrollBody');
 
}

function onloadSplitter(){
	onLoadInitialize();

//set parts' width
	var treeScrollPart = getObjectById('TreeHtmlScrollBody');
	var x_splitter = window.X_Splitter;

	var leftSection = window.leftSection;
	if (leftSection.style.display != 'none')
		x_splitter.style.left = "220px";
	var splitterLeft = x_splitter.style.left;

	splitterLeft = splitterLeft.slice(0,-2);
	leftSection.style.width = splitterLeft;
	treeScrollPart.style.width = splitterLeft;

//set parts' height
	var innerBody = window.innerBody;
	var y_splitter = window.Y_Splitter;
	var bottomSection = window.bottomSection;
	
	var innerBodyHeight = innerBody.offsetHeight;
	y_splitter.style.top = innerBodyHeight * 0.68;

	if (bottomSection.style.visibility == "hidden"){
		Y_Redaw(y_splitter,  parseInt(innerBodyHeight)-10);
	} else {
		var splitterTop = y_splitter.style.top;
		splitterTop=parseInt(splitterTop.slice(0,-2));
		Y_Redaw(y_splitter,  splitterTop);
	}
}

function splitterResize(splitterTop){
	var innerBodyHeight = window.innerBody.offsetHeight;
	var treeScrollPart = getObjectById('TreeHtmlScrollBody');
	var bottomSection = window.bottomSection;
	var topSection = window.topSection;
	var rightSection = window.rightSection;
	var leftSection = window.leftSection;
	var y_splitter = window.Y_Splitter;

	var height=splitterTop-6;
	topSection.style.height=height+"px";
	rightSection.style.height=height-1+"px";
	leftSection.style.height=height+1+"px";
	//y_splitter.style.height=height+"px";
	treeScrollPart.style.height=(splitterTop-33)+"px";
	if (bottomSection.style.visibility != "hidden") {
		bottomSection.style.top=(splitterTop+6)+"px";
		var height = innerBodyHeight - (splitterTop+6) -3;
		if (height >= 0) bottomSection.style.height=height + "px";	
	}
	
	SplitterChangeResize();

}
