var invalidAlert = "LD name can only be Numbers & Char & Space!";
var invalidTimeAlert = "Time pattern is not correct!";
function Q2B(str){
	var i, code;
	var ret = "";
	for(i = 0; i < str.length; i ++){
		code = str.charCodeAt(i);
		if(code>=65281 && code<65373)  ret += String.fromCharCode(str.charCodeAt(i) - 65248);
		
		else ret += str.charAt(i);
	}
	//alert(ret);
	return ret;
}


function isTime(str){ 
	var strLen =str.length;
	var SS = str.split(":");
	if ( SS.length != 2) 
	{
		alert(invalidTimeAlert);
		return false;
	}
	SS[0] = Alltrim(SS[0]);
	SS[1] = Alltrim(SS[1]);
	//alert(SS[0]);
	if (SS[0] > 23 || SS[0] < 0 || SS[1] > 59 || SS[1] < 0) 
	{
		alert(invalidTimeAlert);
		return false;
	} 
	var myReg = /[0-9]/;
	for (i=0; i<2; i++)
	{
		if(!myReg.test(SS[i]))
	     	{
	     	alert(invalidTimeAlert);
	     	return false;
	     	}else{
	     	if (SS[i].length <= 1)
	     	SS[i] = "0" + SS[i];
	     	}
	}
	var resl = SS[0] + ":" +SS[1];
	//alert(resl);
	return resl;
}

function isEmail(str){ 
     var myReg = /^[.-_A-Za-z0-9]+@([_A-Za-z0-9]+\.)+[A-Za-z0-9]{2,3}$/;
     if(myReg.test(str))
     {
     	return true;
     }
     return false;
}

function Alltrim(str){ 
  /* if(str.charAt(0) == " " || str.charAt(str.length - 1) == " "  ){
		str = str.replace(/(^\s*)|(\s*$)/g, "");
   }*/
   //alert(str.constructor);
	while (str.charAt(0)==" "|| str.charCodeAt(0) == 12288){ 
     str=str.substr(1);
 	} 
	while (str.charAt(str.length-1)==" "|| str.charCodeAt(str.length - 1) == 12288){
     str=str.substr(0,str.length-1);
	 } 
    return(str); 
} 

function focusAndSel(ElememtID,warnTD)
{
	ElememtID.focus();
	ElememtID.select();
	if (warnTD)
		warnTD.style.visibility = "visible";
}

function CheckConfirmPsd(psd,cnfPsd,warnTD)
{
	if (psd.value != cnfPsd.value)
	{
		focusAndSel(cnfPsd,warnTD);
		return false;
	}
	warnTD.style.visibility = "hidden";
	return true;
}

function isNull(Name,alertStr,warnTD)
{
	if (Alltrim(Name.value).length == 0) 
	{
    	if (alertStr){alert(alertStr);}
		focusAndSel(Name,warnTD);
		return true;
	}
	else
	{
		if (warnTD) warnTD.style.visibility = "hidden";
		return false;
	}
}


function IsChar(c)
{
	var re, r;
	var re = new RegExp("[A-Za-z]","ig");
	if(c.match(re)) return true;

	return false;
}

function IsNum(c,alertStr)
{
	var re;
	var re = new RegExp("[0-9]","ig");
	if(c.match(re)){ return true;}
	if (alertStr != null)
	{
	    alert(alertStr);
 	}
	return false;
}

function IsSpace(c)
{
	var code = c.charCodeAt(0);
	if (code == "32" || code == 12288) return true;
	
	return false;
}

function IsUnderline(c)
{
	if (c == "_") return true;
	
	return false;
}
function IsSpaceOrUnderline(c)   
{
	var code = c.charCodeAt(0);
	//alert(code);
	if(IsUnderline(c) || IsSpace(c)) return true;
	
	return false;
}

//<-- Check whether is Chinese characters -->
/*function IsHZ(c)
{
 var re = /[\u4e00-\u9fa5]/g;
  if(c.match(re))return true; 
 //alert("not");
 return false;
}*/

function CheckName(LdName, alertMSG)
{
	var i,c, str,strName;
	strName = LdName.value;
	str = Q2B(strName);
	str = Alltrim(str);
	for(i = 0; i < str.length; i++)
	{
		c = str.charAt(i);
		if( IsChar(c) || IsSpaceOrUnderline(c) || IsNum(c)){		
		}else{
			if (alertMSG)
				alert(alertMSG);
			else
				alert(invalidAlert);
			LdName.focus();
			LdName.select();
			return false;
		}
	}
	LdName.value = str;
	return true;
}

function CheckSize(str)
{
	str = Alltrim(str);
	//check if numbers
	if (isNaN(str))
	{
		return false;
	}

	c0 = str.charAt(0);
    c1 = str.charAt(1);
	//check if octal, eg. "010"
	if ((c0 == 0 && c1 != ".") || c0 == ".")
	{
		return false;
	}

	for(i = 1; i < str.length; i++)
	{
		c = str.charAt(i);
		if(IsNum(c) || c == "."){		
		}else{
			return false;
		}
	}
	return true;
}

function CheckLDMode(LdMode,LDHDNum)
{
    var bVaule=((LDHDNum<1)?false:true);
    
    if (LdMode==0)
    {
        if (LDHDNum<2) {bVaule=false;}
    }

    if (LdMode==1)
    {
        if (LDHDNum!=2) {bVaule=false;}
    }

    if (LdMode==16)
    {
        if (LDHDNum<4||LDHDNum%2==1) {bVaule=false;}
    }
    
    if (LdMode==17)
    {
        if (LDHDNum<3||LDHDNum%2==0) {bVaule=false;}
    }

    if (LdMode==5)
    {
        if (LDHDNum<3) {bVaule=false;}
    }

    if (LdMode==6) //R6 need at least 4
    {
        if (LDHDNum<4) {bVaule=false;}
    }

    if (LdMode==80)
    {
        if (LDHDNum<6||LDHDNum%2==1) {bVaule=false;}
    }

    if (LdMode==96) //R60 need at least 8
    {
        if (LDHDNum<8||LDHDNum%2==1) {bVaule=false;}
    }

    if (LdMode<0) {bVaule=false;}
    return bVaule;
}

function CheckLDStripe(LdMode,LdStripe)
{
    var bVaule=true;
    if (LdMode==80||LdMode==96||LdMode==5||LdMode==6)
    {
        if (LdStripe!=64) {bVaule=false;}
    }

    return bVaule;
}

function CheckParity(RaidMode, ParityNumber, MemberPDsNumber)
{
	 var bValue=true;
	 if (RaidMode == 6)
	 {
		 if (ParityNumber < 2 || ParityNumber > (MemberPDsNumber-1)) //The minimum number of parities for R6 is 2
		 {
			 bValue = false;
		 }
	 } else if (RaidMode == 96)
	 {
		 if (ParityNumber < 4 || ParityNumber > (MemberPDsNumber-1) || ParityNumber%2 != 0)
		 {
			 bValue = false;
		 }
	 }
	 return bValue;
}