<?php
class ActionSetDedicatedSpare extends UserAction 
{
	private $HD_ID;
	private $DG_ID;
	
	protected function validatePara()
	{
		//check the http request parameters
	}
	protected function initActionPara()
	{
		$this->HD_ID = getRequestPara("HDID");
		$this->DG_ID = getRequestPara("DGID");
	}
	
	private function doSetSpare()
	{
		$this->ApiCmd = new XMLAPICommand();
		$this->ApiCmd->setCommand(XMLAPICommand::MV_PD_FreeHD2DGSpare);
		$this->ApiCmd->setCommandPara("AdapterID",$this->getAdapterID());
		$this->ApiCmd->setCommandPara("HD_ID",$this->HD_ID);
		$this->ApiCmd->setCommandPara("DG_ID",$this->DG_ID);
		$this->ApiCmd->issueCommand();
		
		if ($this->ApiCmd->getResult()->RetVal . "") {
			$this->setHDCmdXmlRetFail();
		}
		else {
			$this->setHDCmdXmlRetSuccess();
		}
	}
	
	protected function doAction()
	{
		$this->doSetSpare();
	}
}
?>