<?php

class BBU
{
	private $AdapterID;
	private $status;
	private $featureSupport;
	private $temperature;
	private $voltage;
	private $supportMaxCapacity;
	private $supportMinCapacity;
	private $maxCapacity;
	private $curCapacity;
	private $time_to_empty;
	private $time_to_full;
	private $percentage;	
	private $ID;
	

	
	public function setAdapterID($AdapterID)
	{
		$this->AdapterID = $AdapterID;
	}
	public function getAdapterID()
	{
		return $this->AdapterID;
	}
	
	public function setStatus($status)
	{
		$this->status = $status;
	}
	public function getStatus()
	{
		return $this->status;
	}
		
	public function setFeatureSupport($featureSupport)
	{
		$this->featureSupport = $featureSupport;
	}
	public function getFeatureSupport()
	{
		return $this->featureSupport;
	}
	
	public function setTemperature($temperature)
	{
		$this->temperature = $temperature;
	}
	public function getTemperature()
	{
		return $this->temperature;
	}
	
	public function setVoltage($voltage)
	{
		$this->voltage = $voltage;
	}
	public function getVoltage()
	{
		return $this->voltage;
	}
	
	public function setSupportMinCapacity($supportMinCapacity)
	{
		$this->supportMinCapacity = $supportMinCapacity;
	}
	public function getSupportMinCapacity()
	{
		return $this->supportMinCapacity;
	}
	
	public function setSupportMaxCapacity($supportMaxCapacity)
	{
		$this->supportMaxCapacity = $supportMaxCapacity;
	}
	public function getSupportMaxCapacity()
	{
		return $this->supportMaxCapacity;
	}
	
	public function setMaxCapacity($maxCapacity)
	{
		$this->maxCapacity = $maxCapacity;
	}
	public function getMaxCapacity()
	{
		return $this->maxCapacity;
	}
	
	public function setCurCapacity($curCapacity)
	{
		$this->curCapacity = $curCapacity;
	}
	public function getCurCapacity()
	{
		return $this->curCapacity;
	}
	
	public function setTimeToEmpty($time_to_empty)
	{
		$this->time_to_empty = $time_to_empty;
	}
	public function getTimeToEmpty()
	{
		return $this->time_to_empty;
	}
	
	public function setTimeToFull($time_to_full)
	{
		$this->time_to_full = $time_to_full;
	}
	public function getTimeToFull()
	{
		return $this->time_to_full;
	}
	
	public function setPercentage($percentage)
	{
		$this->percentage = $percentage;
	}
	public function getPercentage()
	{
		return $this->percentage;
	}
	
	public function setID($ID)
	{
		$this->ID = $ID;
	}
	public function getID()
	{
		return $this->ID;
	}
	
	public function setBBUFromXML($BBU)
	{
		if (isset($BBU->percentage)) {
			$this->percentage = trim($BBU->percentage);
		}		
		if (isset($BBU->time_to_full)) {
			$this->time_to_full = trim($BBU->time_to_full);
		}		
		if (isset($BBU->time_to_empty)) {
			$this->time_to_empty = trim($BBU->time_to_empty);
		}				
		if (isset($BBU->curCapacity)) {
			$this->curCapacity = trim($BBU->curCapacity);
		}
		if (isset($BBU->maxCapacity)) {
			$this->maxCapacity = trim($BBU->maxCapacity);
		}
		if (isset($BBU->supportMaxCapacity)) {
			$this->supportMaxCapacity = trim($BBU->supportMaxCapacity);
		}
		if (isset($BBU->supportMinCapacity)) {
			$this->supportMinCapacity = trim($BBU->supportMinCapacity);
		}
		if (isset($BBU->voltage)) {
			$this->voltage = trim($BBU->voltage);
		}
		if (isset($BBU->temperature)) {
			$this->temperature = trim($BBU->temperature);
		}
		if (isset($BBU->featureSupport)) {
			$this->featureSupport = trim($BBU->featureSupport);
		}
		if (isset($BBU->status)) {
			$this->status = trim($BBU->status);
		}
		if (isset($BBU->AdapterID)) {
			$this->AdapterID = trim($BBU->AdapterID);
		}

	}
}

?>