<?php
class DeviceFactory
{
	public static function createDevice($DeviceType)
	{
		switch ($DeviceType)
		{
			case DeviceType::DEVICE_TYPE_EXPANDER :
				return new ExpanderDevice();
			case DeviceType::DEVICE_TYPE_HD :
				return new HD();
			case DeviceType::DEVICE_TYPE_PM :
				return new PM();
			case DeviceType::DEVICE_TYPE_PORT :
				return new HBA();
		}
		
		return null;
	}
	
}
?>