<?php
class Event
{
	private $Class;
	private $Code;
	private $Severity;
	private $AdapterID;
	private $Time;
	private $SenseDataLength;
	private $SenseData;
	private $EvtLog;
	
	public function setEvtLog($EvtLog)
	{
		$this->EvtLog = $EvtLog;
	}
	
	public function getEvtLog()
	{
		return $this->EvtLog;
	}
	
	public function setClass($Class)
	{
		$this->Class = $Class;
	}
	
	public function getClass()
	{
		return $this->Class;
	}
	
	public function setCode($Code)
	{
		$this->Code = $Code;
	}
	
	public function getCode()
	{
		return $this->Code;
	}
	
	public function setSeverity($Severity)
	{
		$this->Severity = $Severity;
	}
	
	public function getSeverity()
	{
		return $this->Severity;
	}
	
	public function getAdapterID()
	{
		return $this->AdapterID;
	}
	
	public function setTime($Time)
	{
		$this->Time = $Time;
	}
	
	public function getTime()
	{
		return $this->Time;
	}
	
	public function getSenseDataLength()
	{
		return $this->SenseDataLength;
	}
	public function getSenseData()
	{
		return $this->SenseData;
	}

	// set events information from xml element
	public function setEventInfo($EventInfo)
	{
		if(isset($EventInfo->Class))
		{
			$this->Class = trim($EventInfo->Class);
		}
		
		if(isset($EventInfo->Code))
		{
			$this->Code = trim($EventInfo->Code);
		}
		
		if(isset($EventInfo->Severity))
		{
			$this->Severity = intval($EventInfo->Severity);
		}
		
		if(isset($EventInfo->AdapterID))
		{
			$this->AdapterID = trim($EventInfo->AdapterID);
		}
		
		if(isset($EventInfo->SenseDataLength))
		{
			$this->SenseDataLength = intval($EventInfo->SenseDataLength);
			if($this->SenseDataLength > 0 && isset($EventInfo->SenseData))
			{
				$this->SenseData = trim($EventInfo->SenseData);
			}
		}
			
		if(isset($EventInfo->Event))
		{
			//list($day, $month, $date, $time, $year, $evtLog) = split(" ", trim($EventInfo->Event), 6);
			//list($day, $month, $date, $time, $year, $evtLog) = split("  ", trim($EventInfo->Event), 6);
			$Arr = split(" ", trim($EventInfo->Event));
			$newArr = array();
			foreach ($Arr as $ele)
			{
				if (trim($ele) !== "") {
					$newArr[] = trim($ele);
				}
			}
			list($day, $month, $date, $time, $year,$evtLog) = $newArr;
			
			$i = 6;
			while (sizeof($newArr) > $i)
			{
				$evtLog .= $newArr[$i];
				$i++;
			}

			$year = substr($year, 0, 4);
			
			$tmpDate = strtotime($date. $month. $year. " ". $time);
			
			$convDate = date("m/d/Y H:i", $tmpDate);
			
			$this->Time = $convDate;
/*
			$timeStamp = 0;
			if (isset($EventInfo->TimeStamp)) {
				$timeStamp = intval(trim($EventInfo->TimeStamp));
			}
			
			$convDate = date("m/d/Y H:i", $timeStamp);
			
			$this->Time = $convDate;
*/
			//$this->Time = $month . " " . $date . " " . $year . " " . $time; 
			
			$this->EvtLog = $evtLog;
		}
	}
}

?>