<?php

class BBUInfo extends VO
{
	public $AdapterID;
	public $status;
	public $statusStr;
	public $featureSupport;
	public $temperature;
	public $voltage;
	public $supportMaxCapacity;
	public $supportMinCapacity;
	public $maxCapacity;
	public $curCapacity;
	public $time_to_empty;
	public $time_to_full;
	public $percentage;
	public $ID;
	
	public function setBBUInfo($bbu)
	{
		$this->AdapterID = $bbu->getAdapterID();
		$this->status = $bbu->getStatus();
		$TmpStr = BBUStatus::getBBUStatusStr($this->status, $this->time_to_full);
		$this->statusStr = gettext($TmpStr);
		$this->featureSupport = $bbu->getFeatureSupport();
		$this->temperature = $bbu->getTemperature();
		$this->voltage = $bbu->getVoltage();
		$this->supportMaxCapacity = $bbu->getSupportMaxCapacity();
		$this->supportMinCapacity = $bbu->getSupportMinCapacity();
		$this->maxCapacity = $bbu->getMaxCapacity();
		$this->curCapacity = $bbu->getCurCapacity();
		$this->time_to_empty = $bbu->getTimeToEmpty();
		$this->time_to_full = $bbu->getTimeToFull();
		$this->percentage = $bbu->getPercentage();
		$this->ID = $bbu->getID();		

	}
}

?>