<?php
class CtnExpanderList extends Container 
{
	protected function setBase()
	{
		$this->base = new ExpanderList();
	}
	
	public function displayXML()
	{
		$this->display("XML_ExpanderList.tpl");
	}

	protected function setDataToPage()
	{
		$baseclasses = $this->base->getBaseClasses();
		$ExpanderList = array();
		foreach ($baseclasses as $Expander) {
			$Info = new ExpanderInfo();
			$Info->setExpanderInfo($Expander);
			$ExpanderList[$Info->ID] = $Info;
		}
		ksort($ExpanderList);
		$this->smarty->assign("ExpanderList",$ExpanderList);
	}
	
}
?>