<?php

class CtnSetDedicatedSpareDisplayer extends CtnDisplayer {
	protected function initPage()
	{
		$smarty = $this->smarty;
		
		$HDID = getRequestPara("HDID");
		
		$container = new CtnHdDetail();
		$container->setAdapterID($this->getAdapterID());
		$container->setID($HDID);
		$container->toGetHDInfo();
		$container->toGetMPStatus();
		$container->toGetSpareInfo();
		//must to get valid size for $hd
		$container->toGetValidSize();
		$container->smartyAssign($smarty);
		$container->initContainer();
		
		$hd = array_shift($container->getBase()->getBaseClasses());
		
		//$this->setHBAID($hd->getAdapterID());
		
		$filter = new DgUsedToSpareFilter();
		$filter->setHDToSpare($hd);
		
		$smarty->assign('HDID',$HDID);
		$smarty->assign('HBAID',$this->getAdapterID());
		
		$dglist = new CtnDGList();
		$dglist->setAdapterID($this->getAdapterID());
		$dglist->smartyAssign($smarty);
		$dglist->setFilter($filter);
		$dglist->toGetDGInfo();
		$dglist->initContainer();
		
		$this->setPageName("XML_SetDedicatedSparePage.tpl");
	}
}

?>